package com.prolog.cs.biz.inbound.model.rcv;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-04-02 
 */

@ApiModel
@Table ( value ="wms_in_rcv_lines_pic",appendDefaultJdbcType = true,camelToUnderline = true )
public class RcvLinesPic extends BaseModel implements Serializable {
	private static final long serialVersionUID =  161542458522076604L;
	@Id
	@AutoKey(type=AutoKey.TYPE_SNOWFLAKE)
	 /** 上传ID(主键雪花id) **/ 
	@ApiModelProperty(value = "上传ID(主键雪花id)") 
	private String rcvHeaderPicId;

	 /** 收货单头ID **/ 
	@ApiModelProperty(value = "收货单头ID") 
	private String rcvHeaderId;
	
    @ApiModelProperty(value = "行ID(和rcv_line主键一致)")
    private String rcvLineId;
	 /** 采购单号 **/ 
	@ApiModelProperty(value = "采购单号") 
	private String srcHeaderId;

	 /** 采购单号 **/ 
	@ApiModelProperty(value = "采购单号") 
	private String srcAutoBullNum;

	 /** 企业ID **/ 
	@ApiModelProperty(value = "企业ID") 
	private String entId;

	 /** 商品ID **/ 
	@ApiModelProperty(value = "商品ID") 
	private String itemId;

	 /** 批次ID **/ 
	@ApiModelProperty(value = "批次ID") 
	private String batchId;

	 /** 图片名称 **/ 
	@ApiModelProperty(value = "图片名称") 
	private String picFilename;

	 /** 图片地址 **/ 
	@ApiModelProperty(value = "图片地址") 
	private String picFileurl;

	 /** 上传时间 **/ 
	@ApiModelProperty(value = "上传时间") 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date executorDate;

	 /** 上传人员id **/ 
	@ApiModelProperty(value = "上传人员id") 
	private String executorUserid;

	 /** 上传人员名称 **/ 
	@ApiModelProperty(value = "上传人员名称") 
	private String executorUserName;

    public String getRcvLineId() {
        return rcvLineId;
    }

    public void setRcvLineId(String rcvLineId) {
        this.rcvLineId = rcvLineId;
    }

    public String getRcvHeaderPicId() {
		return this.rcvHeaderPicId;
	}

	public void setRcvHeaderPicId(String rcvHeaderPicId) {
		this.rcvHeaderPicId = rcvHeaderPicId;
	}

	public String getRcvHeaderId() {
		return this.rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getSrcHeaderId() {
		return this.srcHeaderId;
	}

	public void setSrcHeaderId(String srcHeaderId) {
		this.srcHeaderId = srcHeaderId;
	}

	public String getSrcAutoBullNum() {
		return this.srcAutoBullNum;
	}

	public void setSrcAutoBullNum(String srcAutoBullNum) {
		this.srcAutoBullNum = srcAutoBullNum;
	}

	public String getEntId() {
		return this.entId;
	}

	public void setEntId(String entId) {
		this.entId = entId;
	}

	public String getItemId() {
		return this.itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getBatchId() {
		return this.batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getPicFilename() {
		return this.picFilename;
	}

	public void setPicFilename(String picFilename) {
		this.picFilename = picFilename;
	}

	public String getPicFileurl() {
		return this.picFileurl;
	}

	public void setPicFileurl(String picFileurl) {
		this.picFileurl = picFileurl;
	}

	public Date getExecutorDate() {
		return this.executorDate;
	}

	public void setExecutorDate(Date executorDate) {
		this.executorDate = executorDate;
	}

	public String getExecutorUserid() {
		return this.executorUserid;
	}

	public void setExecutorUserid(String executorUserid) {
		this.executorUserid = executorUserid;
	}

	public String getExecutorUserName() {
		return this.executorUserName;
	}

	public void setExecutorUserName(String executorUserName) {
		this.executorUserName = executorUserName;
	}

}
